Package org.jboss.logging.processor.validation

# Class IdLengthValidator

java.lang.Object
org.jboss.logging.processor.validation.IdLengthValidator

public class IdLengthValidator extends Object

Author:
  James R. Perkins

## Constructor Summary

Constructors
Constructor
Description
`IdLengthValidator()`

## Method Summary

Modifier and Type
Method
Description
`Collection<ValidationMessage>`
`validate(MessageInterface messageInterface)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdLengthValidator

public IdLengthValidator()

## Method Details

### validate

public Collection<ValidationMessage> validate(MessageInterface messageInterface)